Bug 1468494 - [atomic registry] "Ooops!" in Edge though registry console page feature functions well in Edge
[atomic registry] "Ooops!" in Edge though registry console page feature funct...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Registry Console (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ---
: 3.9.0
Assigned To: Martin Pitt
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 05:02 EDT by Xingxing Xia
Modified: 2018-06-18 14:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-18 10:41:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ooops (87.58 KB, image/png)
2017-07-07 05:02 EDT, Xingxing Xia
no flags Details

  None (edit)
Description Xingxing Xia 2017-07-07 05:02:49 EDT
Created attachment 1295232 [details]
Ooops

Description of problem:
Upper right red "Ooops!" appears in Edge though registry console page feature functions well in Edge (Edge 38 is being used when reporting this)
Other browsers such Firefox, Chrome, IE do not have the issue

Version-Release number of selected component (if applicable):
registry console image built with cockpit 141-3
brew-.../openshift3/registry-console  v3.6  84408b924fc3  25 hours ago  219.9
MB

How reproducible:
Always

Steps to Reproduce:
1. Login to registry console using Edge browser
2. Check the upper right aside user name

Actual results:
2. There is a RED "Ooops!". But tested page features, page functions well

Expected results:
2. Should have no "Ooops!"

Additional info:
Comment 1 Peter 2017-07-07 16:27:36 EDT
Please provide the errors from the browser console that causes the oops.
Comment 3 Peter 2017-11-28 20:12:37 EST
I believe this should be fixed now
Comment 4 Xingxing Xia 2017-11-29 04:34:40 EST
Tested in OCP v3.7.9 env's registry console:
# docker images | grep registry-console
registry.reg-aw.../openshift3/registry-console                               v3.7                1e61a41fc97d        8 days ago          375 MB
# oc rsh registry-console-1-h686r # the pod of registry-console
sh-4.2$ rpm -qa | grep cockpit
cockpit-ws-138-10.el7_4.x86_64
cockpit-dashboard-151-1.el7.x86_64
cockpit-system-138-10.el7_4.noarch
cockpit-bridge-138-10.el7_4.x86_64
cockpit-kubernetes-155-1.el7.x86_64

"Ooops" issue in Edge still exists
Comment 5 Peter 2017-11-29 08:59:43 EST
Yes, this fix is in cockpit-system so it won't make it to the registry until those are released on RHEL and a new container built.
Comment 7 Xingxing Xia 2018-01-25 05:18:39 EST
Checked in latest env with reg-aws openshift3/registry-console:v3.9, now Edge does not show "Ooops!". Moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.